
Hammer CLI - Feature #3666

i18n support

11/15/2013 02:38 PM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Tomáš Strachota   

Category: Hammer core   

Target version: 1.7.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  In Kanboard:  

Pull request:  Red Hat JIRA:  

Team Backlog:    

Description

Hammer should support localisation and translation of the CLI.  Please use this as a tracker bug for tasks required to complete it.

Currently the Foreman API only uses en_US for the locale of responses too.

Related issues:

Related to Hammer CLI - Feature #4475: internal Clamp strings should be local... Closed 02/27/2014

Related to Hammer CLI - Feature #4476: Hammer must require localized api resp... Closed 02/27/2014

Related to Katello - Feature #4474: i18n support in hammer-cli-katello Closed 02/27/2014

Related to Hammer CLI - Feature #4473: i18n support in hammer-cli-foreman Closed 02/27/2014

Related to Hammer CLI - Feature #4472: i18n support in hammer-cli Closed 02/27/2014

Related to Foreman - Feature #4478: API docs need to be localized Closed 02/27/2014

Related to Packaging - Bug #5787: Packages for clamp need to be patched to su... Closed 05/19/2014

Has duplicate Hammer CLI - Feature #4258: [RFE] Hammer should support localiz... Duplicate 02/04/2014

History

#1 - 01/18/2014 05:52 PM - Thomas McKay

- Category set to Hammer core

- translation missing: en.field_release set to 4

#2 - 01/18/2014 05:55 PM - Thomas McKay

- translation missing: en.field_release deleted (4)

#3 - 02/05/2014 08:50 AM - Dominic Cleal

- Has duplicate Feature #4258: [RFE] Hammer should support localized messages added

#4 - 02/05/2014 12:46 PM - Martin Bacovsky

It is necessary to investigate:

- how effectively extract strings

- if it is possible to merge with foreman strings into one bulk

- how to install localizations

#5 - 02/06/2014 12:16 PM - Dominic Cleal

- Target version set to 1.9.1

#6 - 02/26/2014 12:03 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota
#7 - 02/27/2014 12:26 PM - Tomáš Strachota

- Related to Feature #4475: internal Clamp strings should be localized added

#8 - 02/27/2014 12:27 PM - Tomáš Strachota

- Related to Feature #4476: Hammer must require localized api responses added

#9 - 02/27/2014 12:29 PM - Tomáš Strachota

- Related to Feature #4474: i18n support in hammer-cli-katello added

#10 - 02/27/2014 12:29 PM - Tomáš Strachota

- Related to Feature #4473: i18n support in hammer-cli-foreman added

#11 - 02/27/2014 12:29 PM - Tomáš Strachota

- Related to Feature #4472: i18n support in hammer-cli added

#12 - 02/27/2014 12:47 PM - Tomáš Strachota

- Related to Feature #4478: API docs need to be localized added

#13 - 03/03/2014 01:04 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#14 - 03/26/2014 01:28 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#15 - 04/24/2014 12:04 PM - Tomáš Strachota

- Target version changed from 1.8.4 to 1.8.3

#16 - 05/19/2014 11:14 AM - Tomáš Strachota

- Related to Bug #5787: Packages for clamp need to be patched to support translations added

#17 - 05/21/2014 01:21 PM - Anonymous

- Target version deleted (1.8.3)

#18 - 07/30/2014 09:17 AM - Martin Bacovsky

- Target version set to 1.7.5

#19 - 08/20/2014 06:48 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#20 - 09/10/2014 07:19 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#21 - 09/30/2014 11:20 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#22 - 03/09/2015 08:09 AM - Tomáš Strachota

- Status changed from Assigned to Closed
